%define _compress_method bzip2
%define _x11man1dir %_x11mandir/man1


Name: X-Downloader
Version: 2.5.0
Release: alt0.2.beta2
Serial: 1

License: Artistic
Url: http://www.krasu.ru/soft/chuchelo/files/
Packager: Aleksandr Blokhin <sass@altlinux.ru>
Summary: Ftp/http download manager for X window system
Summary(ru_RU.CP1251):      ftp/http  X window
Group: Networking/File transfer

Source: d4x-%{version}beta2.tar.bz2
Source1: %name.menu
Source2: %name.xpm

Patch2: d4x-2.4.0rc1-be_locale.patch

Requires: gtk+2 >= 2.0
Provides: nt <= %version %name <= %version
Obsoletes: nt

# Automatically added by buildreq on Wed Jun 25 2003
BuildRequires: XFree86-devel XFree86-libs doxygen esound-devel fontconfig freetype2 
BuildRequires: gcc-c++ glib2-devel libatk-devel libaudiofile-devel libexpat 
BuildRequires: libgtk+2-devel libpango-devel libstdc++-devel pkgconfig

%description
This program lets you download files from internet/intranet using
ftp or http protocol. Main features are:
+ multithreaded design;
+ convient user-friendly interface;
+ automatic resuming after connection breaks;
+ multiple simultaneous downloads;
+ recursive ftp and http downloading;
+ wildcards support for ftp recursing;
+ proxy support (ftp and http);
+ supports for traffic limitation;
+ mass downloading;
+ and others.

%description -l ru_RU.CP1251
       / 
 ftp  http.    :
+  ;
+   ;
+      ;
+   ;
+    ftp  http;
+       ftp;
+  proxy (ftp  http);
+     ;
+  ;
+   ...

%prep
%setup -q -n d4x-%{version}beta2
%patch2 -p1

%build
%configure
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT%_x11bindir
%__mkdir_p $RPM_BUILD_ROOT%_x11man1dir
%__mkdir_p $RPM_BUILD_ROOT%_datadir/pixmaps
%makeinstall
%__install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name
%__install -p -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
%__install -p -m644 -D share/nt.xpm $RPM_BUILD_ROOT%_liconsdir/%name.xpm
%__install -p -m644 -D share/nt-mini.xpm $RPM_BUILD_ROOT%_miconsdir/%name.xpm
%__install -p -m644 share/{nt.xpm,nt-mini.xpm,nt-gray.png,nt.png,nt-wm.png} $RPM_BUILD_ROOT%_datadir/pixmaps
%__install -p -m644 -D share/nt.desktop $RPM_BUILD_ROOT%_datadir/gnome/apps/Internet/%name.desktop
%__install -p -m644 share/sounds/*.wav $RPM_BUILD_ROOT%_datadir/d4x/sounds
%__install -p -m644 share/themes/*.xml $RPM_BUILD_ROOT%_datadir/d4x/themes
%__install -p -m644 share/themes/glass/*.png $RPM_BUILD_ROOT%_datadir/d4x/themes/glass
%__install -p -m644 share/themes/glass2/*.png $RPM_BUILD_ROOT%_datadir/d4x/themes/glass2
%__install -p -m644 share/themes/old_theme/*.png $RPM_BUILD_ROOT%_datadir/d4x/themes/old_theme
%__install -p -m644 share/themes/old_theme/buttons/*.png $RPM_BUILD_ROOT%_datadir/d4x/themes/old_theme/buttons
%__install -p -m644 share/themes/old_theme/queue/*.png $RPM_BUILD_ROOT%_datadir/d4x/themes/old_theme/queue

%__ln_s %_bindir/nt %buildroot/%_x11bindir/%name
%__ln_s %buildroot/%_man1dir/nt.1 %buildroot/%_x11man1dir/%name.1

%find_lang d4x

%post
%update_menus

%postun
%clean_menus

%files -f d4x.lang
%dir %_datadir/d4x/
%dir %_datadir/d4x/sounds/
%dir %_datadir/d4x/themes/
%_x11bindir/*
%_x11man1dir/*
%_bindir/nt
%_menudir/*
%_man1dir/*
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm
%_datadir/pixmaps/*
%_datadir/gnome/apps/Internet/*
%_datadir/d4x/sounds/*
%_datadir/d4x/themes/*
%_datadir/d4x/ftpsearch.xml
%doc AUTHORS DOC/{FAQ*,LICENSE,README*,THANKS,TROUBLES}

%changelog
* Wed Jun 25 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1:2.5.0-alt0.2.beta2
- 2.5.0.beta2

* Wed Jun 25 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1:2.5.0-alt0.1.beta1
- 2.5.0.beta1

* Mon Jan 27 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4.1-alt1
- 2.4.1

* Sun Jan 26 2003 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4.0-alt1
- 2.4.0 final release
- Updated %%BuildRequires
- Removed obsoleted nt-1.20-disable_gdb.patch

* Sun Dec 22 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4.0-alt0.5.rc2
- 2.4.0rc2

* Wed Dec 04 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4.0-alt0.3.rc1
- Updated spec (removed package intersections)

* Tue Dec 03 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4.0-alt0.2.rc1
- Added patch, which corrects work with utf-8 locale; removed unneeded language wrapper 
- Reduced Serial for Sisyphus.

* Sun Nov 24 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 2:2.4.0-alt0.1.rc1
- 2.4.0rc1
- Updated patch for belorussian locale with UTF8 encoding
- Increased Serial

* Thu Nov 14 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4beta2-alt0.3
- Added genericname in %%name.menu

* Wed Nov 06 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4beta2-alt0.2
- added LANG wrapper

* Sat Oct 26 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4beta2-alt0.1
- 2.4 beta 2

* Sun Oct 06 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.4beta-alt0.1
- 2.4beta

* Tue Sep 24 2002 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 1:2.03-alt2.2
- fixed buildreq

* Mon Sep 23 2002 Stanislav Ievlev <inger@altlinux.ru> 1:2.03-alt2.1
- fixed buildreq

* Sat Sep 21 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1:2.03-alt2
- removed obsoleted description in KOI8-R encoding
- updated spec

* Wed Aug 28 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.03-alt1
- 2.03

* Sun Jun 23 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.02-alt1
- 2.02
- program binaries and manuals moved from X11 directory tree
- updated spec

* Thu Jun 06 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.01-alt1
- 2.01

* Tue Apr 30 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.0-alt1
- 2.0 Final Release

* Sat Mar 23 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.0RC2-alt1
- Release Candidate 2

* Wed Mar 20 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.0RC1-alt1
- Release Candidate 1

* Sun Mar 17 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.0beta3-alt2
- bugfix release

* Sun Mar 17 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.0beta3-alt1
- new build
- updated spec
- fixes in configure for belorussian locale

* Fri Mar 01 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.0beta2-alt1
- new build

* Thu Feb 19 2002 Aleksandr Blokhin <sass@altlinux.ru> 2.0beta1-alt1
- new version
